Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal
Class PortalException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.portal.PortalException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PortalFinderException

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public class PortalException
extends ApplicationException

Base class for all `Exception`s in the portal framework.

See Also:
  `ApplicationException`, Serialized Form

Constructor Summary
`PortalException(String message)` Deprecated. Allocates an `PortalException` using the given message.
`PortalException(String message, Throwable cause)` Deprecated. Allocates an `PortalException` using the given message and a nested `Throwable`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalException

    public PortalException(String message)

  Deprecated.
  Allocates an `PortalException` using the given message.

### PortalException

    public PortalException(String message,
                           Throwable cause)

  Deprecated.
  Allocates an `PortalException` using the given message and a nested `Throwable`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved